Package org.springframework.beans.factory.xml

# Interface BeanDefinitionDocumentReader

All Known Implementing Classes:
  `DefaultBeanDefinitionDocumentReader`

public interface BeanDefinitionDocumentReader
SPI for parsing an XML document that contains Spring bean definitions. Used by `XmlBeanDefinitionReader` for actually parsing a DOM document.

Instantiated per document to parse: implementations can hold state in instance variables during the execution of the `registerBeanDefinitions` method — for example, global settings that are defined for all bean definitions in the document.

Since:
  18.12.2003
Author:
  Juergen Hoeller, Rob Harrop
See Also:
  - `XmlBeanDefinitionReader.setDocumentReaderClass(java.lang.Class<? extends org.springframework.beans.factory.xml.BeanDefinitionDocumentReader>)`

## Method Summary

Modifier and Type
Method
Description
`void`
`registerBeanDefinitions(Document doc, XmlReaderContext readerContext)`
Read bean definitions from the given DOM document and register them with the registry in the given reader context.

## Method Details

### registerBeanDefinitions

void registerBeanDefinitions(Document doc, XmlReaderContext readerContext) throws BeanDefinitionStoreException
Read bean definitions from the given DOM document and register them with the registry in the given reader context.

Parameters:
  `doc` - the DOM document
  `readerContext` - the current context of the reader (includes the target registry and the resource being parsed)
Throws:
  `BeanDefinitionStoreException` - in case of parsing errors